package com.ss.android.ugc.aweme.feed.model.live;

import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;

public class CommerceStruct implements Serializable {
    @c(LIZ = "use_async_load")
    public boolean asyncLoad;
    @c(LIZ = "commerce_permission")
    public int commercePermission;
    @c(LIZ = "oec_live_enter_room_init_data")
    public String oecInitDataString;

    static {
        Covode.recordClassIndex(79027);
    }

    public boolean getAsyncLoad() {
        return this.asyncLoad;
    }

    public int getCommercePermission() {
        return this.commercePermission;
    }

    public String getOecInitDataString() {
        return this.oecInitDataString;
    }

    public String toString() {
        return "CommerceStruct{commercePermission=" + this.commercePermission + ", commercePack=" + this.oecInitDataString + '}';
    }

    public void setAsyncLoad(boolean z) {
        this.asyncLoad = z;
    }

    public void setCommercePermission(int i) {
        this.commercePermission = i;
    }

    public void setOecInitDataString(String str) {
        this.oecInitDataString = str;
    }
}
